function fin = resampling(data,interval, method)

% Edited function from interp1, Mathworks
% 6/2 NT
%  INPUT: - data vector 2 columns, the interval and method
% NOTE: method is a string
% Resamples data set of [X Y] at given x-interval

m = method; % STRING
%                   sum(difference(squared of x elements), in 2 dim)
% define steplength between data points with standard deviation
% SD = sqrt(1/n sum(x-xtilde)^2
dataSteps = sqrt(sum(diff(data,[],1).^2,2)); % determine difference
                                            % between row data points                                        
dataSteps = [0; dataSteps]; % Steps between datapoints
accLen = cumsum(dataSteps);
step = linspace(0,accLen(end), interval);
fin = interp1(accLen, data, step,m); % interpolate with even space in 
                                    % x values
%% one vector manipulation...
%step = linspace(data(1,1),data(end,1), interval)
%fin = interp1(data(:,1),data(:,2), step,'spline') 
end